# knocui

Web interface for Knoc.

Built with Vue, Primeview.

## Settings

When the app is loaded in the browser, it fetches a `/settings.json` file
which directs it to the Knoc server address, eg:

```
{
  "apiUrl": "https://knoc.example.org:443"
}
```

When developing (using `pnpm dev --host foo --port 3002`) this file
should be created pointing to a running Knoc server.
In turn, the CORS setting of this server
should be set to the URL serving *knocui* (`http://foo:3002`).

## Deployment

NPM packages and containers (based on nginx/alpine)
are built with CI/CD (Forgejo actions).

To include the settings file, eg.:

```fish
podman run --rm -it --publish 5454:80 --volume ./settings.json:/settings.json code.philo.ydns.eu/k-net/knocui
```
